The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete/Revoke an Interface from a Sensor in Child Domain

Prev Next

This URL revokes an interface from a Sensor in child domain.

Resource URL

DELETE /domain/<domain_id>/sensor/<sensor_id>/interface/<interface_id>/revokeinterface?value=<id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain ID

Number

Yes

sensor_id

Sensor ID

Number

Yes

interface_id

Interface ID

Number

Yes

id

VLAN ID, Bridge VLAN ID, or CIDR value, should be provided when revoking an interface of VLAN/CIDR type

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful, -1 otherwise

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/103/sensor/1002/interface/124/revokeinterface?value=8

Response

{
"status": 1
}    

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

404

1106

Invalid Sensor

3

404

1107

Invalid Interface or Sub-interface id

4

400

1134

Provided interface not allocated to the specified domain

5

400

1132

Invalid VLAN id provided

6

400

1133

Invalid CIDR provided